#include "mapEditor.hpp"
#include <config.hpp>
#include <iostream>
#include <phoenix.hpp>

int main(int argc, char **argv) {

  if (argc == 2) {
    std::string arg0 = std::string(argv[1]);
    std::cout << arg0 << std::endl;
    if (arg0 == "-editor") {
      runMapEditor();
      return 0;
    }
  } else {

    PhoenixGame *game = new PhoenixGame();
    game->run();
  }
}
